Bug 1574683 - [PATCH] Backport 0.3x fixes to original vte 0.28.2
Summary: [PATCH] Backport 0.3x fixes to original vte 0.28.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vte
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 20:34 UTC by Leszek Matok
Modified: 2018-05-15 20:27 UTC (History)
2 users (show)

Fixed In Version: vte-0.28.2-24.fc27 vte-0.28.2-24.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 19:53:12 UTC
Type: Bug


Attachments (Terms of Use)
patch for the spec file (937 bytes, patch)
2018-05-03 20:35 UTC, Leszek Matok
no flags Details | Diff
vte-0.28.2-performance.patch (348 bytes, patch)
2018-05-03 20:36 UTC, Leszek Matok
no flags Details | Diff
vte-0.28.2-683730.patch (713 bytes, patch)
2018-05-03 20:36 UTC, Leszek Matok
no flags Details | Diff
vte-0.28.2-mouse-tracking.patch (8.83 KB, patch)
2018-05-03 20:37 UTC, Leszek Matok
no flags Details | Diff
vte-0.28.2-683730.patch (713 bytes, patch)
2018-05-06 17:44 UTC, Leszek Matok
no flags Details | Diff

Description Leszek Matok 2018-05-03 20:34:50 UTC
I'm attaching patches against current F28 version of VTE 0.28.2 which:

1. Backport performace fix which previously have been backported to RHEL6's vte (Bug 1063741) so I guess it will be welcome.

2. Backport extended mouse tracking (F28's ncurses 6.1 stopped supporting the old standard limited to 223 lines).

3. While at it, backport a fix for "press shift-press and hold mouse button-release shift" hang.

I've split it into separate patches and also prepared patch for vte.spec (should I write something for the %changelog too?)

I hope this can make it into Fedora, as I'm still addicted to the good old gtk2 terminals :)

Comment 1 Leszek Matok 2018-05-03 20:35:17 UTC
Created attachment 1430883 [details]
patch for the spec file

Comment 2 Leszek Matok 2018-05-03 20:36:19 UTC
Created attachment 1430884 [details]
vte-0.28.2-performance.patch

Comment 3 Leszek Matok 2018-05-03 20:36:41 UTC
Created attachment 1430885 [details]
vte-0.28.2-683730.patch

Comment 4 Leszek Matok 2018-05-03 20:37:03 UTC
Created attachment 1430886 [details]
vte-0.28.2-mouse-tracking.patch

Comment 5 Kevin Fenzi 2018-05-04 20:22:55 UTC
So, I'd be happy to apply these and be a patch monkey, but the only reason I took vte on was that xfce4-terminal used to use it. It's long since switched to gtk3 and vte291, so my interest in vte is pretty low. 

Might you be interested in taking over maintainership of it since you sound like you use gt2k terminals still? If not thats fine and I can push these changes, but would depend on you to help me with bugs. :)

Comment 6 Egmont Koblinger 2018-05-04 21:32:58 UTC
Bracketed paste mode being per-screen instead of per-terminal is yet another bug pretty often causing trouble, see e.g. https://bugs.launchpad.net/ubuntu/+source/vte/+bug/1506166. If you release an update then I think it's worth fixing this one, too. (Sorry and ignore me if it's already backported.)

Comment 7 Leszek Matok 2018-05-05 10:24:45 UTC
No worries Egmont - Kevin patched that 4 years ago :)

Kevin, I imagine there's little maintenance required on vte (AFAICT, that patch back in 2014 was the last time you had to actually work on it :)), so maybe it's not a big deal for you to do this one more time and spare me going through a process of becoming a maintainer? I lurk on fedora-devel and it looks like there's lots of tools and lots of processes to learn... I know I'm the one who has the interest here, but could you do this one last time, please? :)

Many thanks in advance!

Comment 8 Kevin Fenzi 2018-05-06 17:25:39 UTC
Sure thing. Will push f27/f28/rawhide here in a bit...

Comment 9 Kevin Fenzi 2018-05-06 17:34:10 UTC
(In reply to Leszek Matok from comment #3)
> Created attachment 1430885 [details]
> vte-0.28.2-683730.patch

There is a odd bit here: 

--- file_not_specified_in_diff	
+++ file_not_specified_in_diff	
@@ -, +, @@ 

Can that just be dropped? or is something missing there?

Comment 10 Leszek Matok 2018-05-06 17:44:41 UTC
Created attachment 1432412 [details]
vte-0.28.2-683730.patch

My bad - I was editing those manually and put in space instead of a tab. %patch doesn't care, but apparently other tools do :)

Comment 11 Fedora Update System 2018-05-07 03:30:36 UTC
vte-0.28.2-24.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e415acb2d

Comment 12 Fedora Update System 2018-05-07 03:30:45 UTC
vte-0.28.2-24.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a5fab17000

Comment 13 Fedora Update System 2018-05-07 14:33:17 UTC
vte-0.28.2-24.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e415acb2d

Comment 14 Fedora Update System 2018-05-07 16:02:31 UTC
vte-0.28.2-24.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a5fab17000

Comment 15 Fedora Update System 2018-05-15 19:53:12 UTC
vte-0.28.2-24.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-05-15 20:05:59 UTC
vte-0.28.2-24.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Egmont Koblinger 2018-05-15 20:27:58 UTC
Thanks guys! :)


Note You need to log in before you can comment on or make changes to this bug.